Summary:        infobot module for ZNC IRC Bouncer
Name:           znc-infobot
Version:        0.202
Release:        1%{?dist}
License:        GPLv2
Group:          System Environment/Daemons
URL:            http://znc-msvc.googlecode.com
Source0:        znc-infobot-0.202.tar.gz
# Had to generate tar.gz manually download source file : http://znc-msvc.googlecode.com/svn/trunk/flakes/infobot.cpp

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  znc = %{version}
BuildRequires:  znc-devel = %{version}
BuildRequires:  c-ares c-ares-devel pcre-devel openssl-devel

Requires: znc = %{version}
Requires: pcre

%description
This is a user module for ZNC that provides joined 
channels with a multitude of bot commands

%prep
%setup -q -n %{name}-%{version}

%build
LIBS="-lpcrecpp -lpcre" znc-buildmod infobot.cpp

%install
mkdir -p %{buildroot}%{_libdir}/znc/
mv infobot.so %{buildroot}%{_libdir}/znc/

%clean
%__rm -Rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/znc/infobot.so

%changelog
* Tue Oct 18 2011 Nick Bebout <nb@fedoraproject.org> - 0.202-1
- ZNC is at 0.202 now
- Require same version of ZNC as module

* Sun Sep 25 2011 Keiran "Affix" Smith <affix@fedoraproject.org> - 0.200-1
- Initial Package of 0.200

